Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class ExitTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.commands.ExitTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class ExitTaskCommand

extends TaskCommand<Void>

Operation.Exit : [ new OperationCommand().{ status = [ Status.Created, Status.Ready, Status.Reserved, Status.InProgress, Status.Suspended ], allowed = [ Allowed.BusinessAdministrator ], newStatus = Status.Exited } ]

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`ExitTaskCommand()`
`ExitTaskCommand(long taskId, String userId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExitTaskCommand

    public ExitTaskCommand()

### ExitTaskCommand

    public ExitTaskCommand(long taskId,
                           String userId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.